<?php

//Librairie de fonctions
require("lib/libsession.inc.php");
require("lib/libencode.inc.php");
require("lib/libconnection.inc.php");

if (isset(filter_input(INPUT_POST, "prm1"))) {
    //Encodage des caractères
    header('Content-Type: text/plain; charset=$ENCODAGE');
    $rlreference = antiInjection(filter_input(INPUT_POST, "prm1"));
    if ($rlreference != "") {
        unset($sqlparam);
        $sqlparam["table"][] = "employes";
        $sqlparam["where"][] = sprintf("refemploye = %d", $rlreference);
        $result = executerRequeteSql($sqlparam);
        print (!empty($result)) ? $result[0]["compte"] : "0";
    } else {
        print "0";
    }
} else {
    print "0";
}
die();
